org.apache.calcite.avatica.proto

## Class Common.ColumnValue.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>
      - - org.apache.calcite.avatica.proto.Common.ColumnValue.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Common.ColumnValueOrBuilder

Enclosing class:
  Common.ColumnValue

    public static final class Common.ColumnValue.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>
    implements Common.ColumnValueOrBuilder

     A value might be a TypedValue or an Array of TypedValue's

Protobuf type `ColumnValue`

### Field Summary

Fields
`private List<Common.TypedValue>` `arrayValue_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `arrayValueBuilder_`
`private int` `bitField0_`
`private boolean` `hasArrayValue_`
`private Common.TypedValue` `scalarValue_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `scalarValueBuilder_`
`private List<Common.TypedValue>` `value_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `valueBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Common.ColumnValue.Builder` `addAllArrayValue(Iterable<? extends Common.TypedValue> values)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `addAllValue(Iterable<? extends Common.TypedValue> values)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `addArrayValue(Common.TypedValue.Builder builderForValue)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `addArrayValue(Common.TypedValue value)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `addArrayValue(int index, Common.TypedValue.Builder builderForValue)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `addArrayValue(int index, Common.TypedValue value)` `repeated .TypedValue array_value = 2;`
`Common.TypedValue.Builder` `addArrayValueBuilder()` `repeated .TypedValue array_value = 2;`
`Common.TypedValue.Builder` `addArrayValueBuilder(int index)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.ColumnValue.Builder` `addValue(Common.TypedValue.Builder builderForValue)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `addValue(Common.TypedValue value)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `addValue(int index, Common.TypedValue.Builder builderForValue)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `addValue(int index, Common.TypedValue value)` deprecated, use array_value or scalar_value
`Common.TypedValue.Builder` `addValueBuilder()` deprecated, use array_value or scalar_value
`Common.TypedValue.Builder` `addValueBuilder(int index)` deprecated, use array_value or scalar_value
`Common.ColumnValue` `build()`
`Common.ColumnValue` `buildPartial()`
`Common.ColumnValue.Builder` `clear()`
`Common.ColumnValue.Builder` `clearArrayValue()` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Common.ColumnValue.Builder` `clearHasArrayValue()` Is an array value set?
`Common.ColumnValue.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Common.ColumnValue.Builder` `clearScalarValue()` `.TypedValue scalar_value = 4;`
`Common.ColumnValue.Builder` `clearValue()` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `clone()`
`private void` `ensureArrayValueIsMutable()`
`private void` `ensureValueIsMutable()`
`Common.TypedValue` `getArrayValue(int index)` `repeated .TypedValue array_value = 2;`
`Common.TypedValue.Builder` `getArrayValueBuilder(int index)` `repeated .TypedValue array_value = 2;`
`List<Common.TypedValue.Builder>` `getArrayValueBuilderList()` `repeated .TypedValue array_value = 2;`
`int` `getArrayValueCount()` `repeated .TypedValue array_value = 2;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `getArrayValueFieldBuilder()`
`List<Common.TypedValue>` `getArrayValueList()` `repeated .TypedValue array_value = 2;`
`Common.TypedValueOrBuilder` `getArrayValueOrBuilder(int index)` `repeated .TypedValue array_value = 2;`
`List<? extends Common.TypedValueOrBuilder>` `getArrayValueOrBuilderList()` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getHasArrayValue()` Is an array value set?
`Common.TypedValue` `getScalarValue()` `.TypedValue scalar_value = 4;`
`Common.TypedValue.Builder` `getScalarValueBuilder()` `.TypedValue scalar_value = 4;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `getScalarValueFieldBuilder()` `.TypedValue scalar_value = 4;`
`Common.TypedValueOrBuilder` `getScalarValueOrBuilder()` `.TypedValue scalar_value = 4;`
`Common.TypedValue` `getValue(int index)` deprecated, use array_value or scalar_value
`Common.TypedValue.Builder` `getValueBuilder(int index)` deprecated, use array_value or scalar_value
`List<Common.TypedValue.Builder>` `getValueBuilderList()` deprecated, use array_value or scalar_value
`int` `getValueCount()` deprecated, use array_value or scalar_value
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `getValueFieldBuilder()`
`List<Common.TypedValue>` `getValueList()` deprecated, use array_value or scalar_value
`Common.TypedValueOrBuilder` `getValueOrBuilder(int index)` deprecated, use array_value or scalar_value
`List<? extends Common.TypedValueOrBuilder>` `getValueOrBuilderList()` deprecated, use array_value or scalar_value
`boolean` `hasScalarValue()` `.TypedValue scalar_value = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Common.ColumnValue.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Common.ColumnValue.Builder` `mergeFrom(Common.ColumnValue other)`
`Common.ColumnValue.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Common.ColumnValue.Builder` `mergeScalarValue(Common.TypedValue value)` `.TypedValue scalar_value = 4;`
`Common.ColumnValue.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.ColumnValue.Builder` `removeArrayValue(int index)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `removeValue(int index)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `setArrayValue(int index, Common.TypedValue.Builder builderForValue)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `setArrayValue(int index, Common.TypedValue value)` `repeated .TypedValue array_value = 2;`
`Common.ColumnValue.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Common.ColumnValue.Builder` `setHasArrayValue(boolean value)` Is an array value set?
`Common.ColumnValue.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Common.ColumnValue.Builder` `setScalarValue(Common.TypedValue.Builder builderForValue)` `.TypedValue scalar_value = 4;`
`Common.ColumnValue.Builder` `setScalarValue(Common.TypedValue value)` `.TypedValue scalar_value = 4;`
`Common.ColumnValue.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Common.ColumnValue.Builder` `setValue(int index, Common.TypedValue.Builder builderForValue)` deprecated, use array_value or scalar_value
`Common.ColumnValue.Builder` `setValue(int index, Common.TypedValue value)` deprecated, use array_value or scalar_value

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### value_

    private List<Common.TypedValue> value_

#### valueBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> valueBuilder_

#### arrayValue_

    private List<Common.TypedValue> arrayValue_

#### arrayValueBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> arrayValueBuilder_

#### hasArrayValue_

    private boolean hasArrayValue_

#### scalarValue_

    private Common.TypedValue scalarValue_

#### scalarValueBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> scalarValueBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Common.ColumnValue.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### getDefaultInstanceForType

    public Common.ColumnValue getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Common.ColumnValue build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Common.ColumnValue buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Common.ColumnValue.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### setField

    public Common.ColumnValue.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### clearField

    public Common.ColumnValue.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### clearOneof

    public Common.ColumnValue.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### setRepeatedField

    public Common.ColumnValue.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       int index,
                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### addRepeatedField

    public Common.ColumnValue.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### mergeFrom

    public Common.ColumnValue.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ColumnValue.Builder>`

#### mergeFrom

    public Common.ColumnValue.Builder mergeFrom(Common.ColumnValue other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### mergeFrom

    public Common.ColumnValue.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Common.ColumnValue.Builder>`
Throws:
  `IOException`

#### ensureValueIsMutable

    private void ensureValueIsMutable()

#### getValueList

    public List<Common.TypedValue> getValueList()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

Specified by:
  `getValueList` in interface `Common.ColumnValueOrBuilder`

#### getValueCount

    public int getValueCount()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

Specified by:
  `getValueCount` in interface `Common.ColumnValueOrBuilder`

#### getValue

    public Common.TypedValue getValue(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

Specified by:
  `getValue` in interface `Common.ColumnValueOrBuilder`

#### setValue

    public Common.ColumnValue.Builder setValue(int index,
                                               Common.TypedValue value)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### setValue

    public Common.ColumnValue.Builder setValue(int index,
                                               Common.TypedValue.Builder builderForValue)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addValue

    public Common.ColumnValue.Builder addValue(Common.TypedValue value)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addValue

    public Common.ColumnValue.Builder addValue(int index,
                                               Common.TypedValue value)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addValue

    public Common.ColumnValue.Builder addValue(Common.TypedValue.Builder builderForValue)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addValue

    public Common.ColumnValue.Builder addValue(int index,
                                               Common.TypedValue.Builder builderForValue)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addAllValue

    public Common.ColumnValue.Builder addAllValue(Iterable<? extends Common.TypedValue> values)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### clearValue

    public Common.ColumnValue.Builder clearValue()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### removeValue

    public Common.ColumnValue.Builder removeValue(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueBuilder

    public Common.TypedValue.Builder getValueBuilder(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueOrBuilder

    public Common.TypedValueOrBuilder getValueOrBuilder(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

Specified by:
  `getValueOrBuilder` in interface `Common.ColumnValueOrBuilder`

#### getValueOrBuilderList

    public List<? extends Common.TypedValueOrBuilder> getValueOrBuilderList()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

Specified by:
  `getValueOrBuilderList` in interface `Common.ColumnValueOrBuilder`

#### addValueBuilder

    public Common.TypedValue.Builder addValueBuilder()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### addValueBuilder

    public Common.TypedValue.Builder addValueBuilder(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueBuilderList

    public List<Common.TypedValue.Builder> getValueBuilderList()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> getValueFieldBuilder()

#### ensureArrayValueIsMutable

    private void ensureArrayValueIsMutable()

#### getArrayValueList

    public List<Common.TypedValue> getArrayValueList()

`repeated .TypedValue array_value = 2;`

Specified by:
  `getArrayValueList` in interface `Common.ColumnValueOrBuilder`

#### getArrayValueCount

    public int getArrayValueCount()

`repeated .TypedValue array_value = 2;`

Specified by:
  `getArrayValueCount` in interface `Common.ColumnValueOrBuilder`

#### getArrayValue

    public Common.TypedValue getArrayValue(int index)

`repeated .TypedValue array_value = 2;`

Specified by:
  `getArrayValue` in interface `Common.ColumnValueOrBuilder`

#### setArrayValue

    public Common.ColumnValue.Builder setArrayValue(int index,
                                                    Common.TypedValue value)

`repeated .TypedValue array_value = 2;`

#### setArrayValue

    public Common.ColumnValue.Builder setArrayValue(int index,
                                                    Common.TypedValue.Builder builderForValue)

`repeated .TypedValue array_value = 2;`

#### addArrayValue

    public Common.ColumnValue.Builder addArrayValue(Common.TypedValue value)

`repeated .TypedValue array_value = 2;`

#### addArrayValue

    public Common.ColumnValue.Builder addArrayValue(int index,
                                                    Common.TypedValue value)

`repeated .TypedValue array_value = 2;`

#### addArrayValue

    public Common.ColumnValue.Builder addArrayValue(Common.TypedValue.Builder builderForValue)

`repeated .TypedValue array_value = 2;`

#### addArrayValue

    public Common.ColumnValue.Builder addArrayValue(int index,
                                                    Common.TypedValue.Builder builderForValue)

`repeated .TypedValue array_value = 2;`

#### addAllArrayValue

    public Common.ColumnValue.Builder addAllArrayValue(Iterable<? extends Common.TypedValue> values)

`repeated .TypedValue array_value = 2;`

#### clearArrayValue

    public Common.ColumnValue.Builder clearArrayValue()

`repeated .TypedValue array_value = 2;`

#### removeArrayValue

    public Common.ColumnValue.Builder removeArrayValue(int index)

`repeated .TypedValue array_value = 2;`

#### getArrayValueBuilder

    public Common.TypedValue.Builder getArrayValueBuilder(int index)

`repeated .TypedValue array_value = 2;`

#### getArrayValueOrBuilder

    public Common.TypedValueOrBuilder getArrayValueOrBuilder(int index)

`repeated .TypedValue array_value = 2;`

Specified by:
  `getArrayValueOrBuilder` in interface `Common.ColumnValueOrBuilder`

#### getArrayValueOrBuilderList

    public List<? extends Common.TypedValueOrBuilder> getArrayValueOrBuilderList()

`repeated .TypedValue array_value = 2;`

Specified by:
  `getArrayValueOrBuilderList` in interface `Common.ColumnValueOrBuilder`

#### addArrayValueBuilder

    public Common.TypedValue.Builder addArrayValueBuilder()

`repeated .TypedValue array_value = 2;`

#### addArrayValueBuilder

    public Common.TypedValue.Builder addArrayValueBuilder(int index)

`repeated .TypedValue array_value = 2;`

#### getArrayValueBuilderList

    public List<Common.TypedValue.Builder> getArrayValueBuilderList()

`repeated .TypedValue array_value = 2;`

#### getArrayValueFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> getArrayValueFieldBuilder()

#### getHasArrayValue

    public boolean getHasArrayValue()

     Is an array value set?

`bool has_array_value = 3;`

Specified by:
  `getHasArrayValue` in interface `Common.ColumnValueOrBuilder`

#### setHasArrayValue

    public Common.ColumnValue.Builder setHasArrayValue(boolean value)

     Is an array value set?

`bool has_array_value = 3;`

#### clearHasArrayValue

    public Common.ColumnValue.Builder clearHasArrayValue()

     Is an array value set?

`bool has_array_value = 3;`

#### hasScalarValue

    public boolean hasScalarValue()

`.TypedValue scalar_value = 4;`

Specified by:
  `hasScalarValue` in interface `Common.ColumnValueOrBuilder`

#### getScalarValue

    public Common.TypedValue getScalarValue()

`.TypedValue scalar_value = 4;`

Specified by:
  `getScalarValue` in interface `Common.ColumnValueOrBuilder`

#### setScalarValue

    public Common.ColumnValue.Builder setScalarValue(Common.TypedValue value)

`.TypedValue scalar_value = 4;`

#### setScalarValue

    public Common.ColumnValue.Builder setScalarValue(Common.TypedValue.Builder builderForValue)

`.TypedValue scalar_value = 4;`

#### mergeScalarValue

    public Common.ColumnValue.Builder mergeScalarValue(Common.TypedValue value)

`.TypedValue scalar_value = 4;`

#### clearScalarValue

    public Common.ColumnValue.Builder clearScalarValue()

`.TypedValue scalar_value = 4;`

#### getScalarValueBuilder

    public Common.TypedValue.Builder getScalarValueBuilder()

`.TypedValue scalar_value = 4;`

#### getScalarValueOrBuilder

    public Common.TypedValueOrBuilder getScalarValueOrBuilder()

`.TypedValue scalar_value = 4;`

Specified by:
  `getScalarValueOrBuilder` in interface `Common.ColumnValueOrBuilder`

#### getScalarValueFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> getScalarValueFieldBuilder()

`.TypedValue scalar_value = 4;`

#### setUnknownFields

    public final Common.ColumnValue.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`

#### mergeUnknownFields

    public final Common.ColumnValue.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Common.ColumnValue.Builder>`